Bug 125284 - /etc/X11/xdm/Xsession fails to dectect the correct switchdesk path
Summary: /etc/X11/xdm/Xsession fails to dectect the correct switchdesk path
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xinitrc   
(Show other bugs)
Version: 2
Hardware: noarch Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-04 14:00 UTC by Stefan Hoelldampf
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-24 16:44:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefan Hoelldampf 2004-06-04 14:00:16 UTC
In /etc/X11/xdm/Xsession, the switchdesk path is to be detected by

------------------------------------------------------------------
# backward compatibility with old switchdesk directory
if [ -f /usr/share/switchdesk/switchdesk-gui.py ] ; then
    SWITCHDESKPATH=/usr/share/switchdesk
else
    SWITCHDESKPATH=/usr/share/apps/switchdesk
fi
------------------------------------------------------------------

However, the file /usr/share/switchdesk/switchdesk-gui.py does not
exist and SWITCHDESKPATH is set to "/usr/share/apps/switchdesk",
although the Xclients.* files are located in /usr/share/switchdesk.

Version-Release number of selected component (if applicable):
xinitrc-3.41-1 and switchdesk-4.0.3-1

How reproducible:
Always

Comment 1 Rex Dieter 2004-06-04 16:00:39 UTC
Appears to be related to bug #122941

Comment 2 Mike A. Harris 2004-06-07 00:10:34 UTC
Than, what are your thoughts about this one?

I haven't yet looked at the switchdesk package or investigated the
code at hand here.  Should I just remove all of the above, and hard
code the path that is in our current switchdesk instead?

TIA

Comment 3 Ngo Than 2004-06-17 15:24:21 UTC
Mike, hier is the patch, which should fix this problem

--- /etc/X11/xdm/Xsession       2004-03-31 09:10:04.000000000 +0200
+++ Xsession    2004-06-17 17:24:03.845427726 +0200
@@ -29,7 +29,7 @@
 fi

 # backward compatibility with old switchdesk directory
-if [ -f /usr/share/switchdesk/switchdesk-gui.py ] ; then
+if [ -d /usr/share/switchdesk ] ; then
     SWITCHDESKPATH=/usr/share/switchdesk
 else
     SWITCHDESKPATH=/usr/share/apps/switchdesk


Comment 4 Mike A. Harris 2004-06-24 16:44:47 UTC
Fixed in rawhide xinitrc-4.0.0-1

Comment 5 Rex Dieter 2004-07-15 13:31:00 UTC
My $0.02:

Is the switchdesk stuff relevent anymore?  I mean, at least for
gnome/kde, all switchdesk does is run gnome-session,startkde
respectively, which is already (or should be) in xinitrc anyway.

I would argue gutting switchdesk, and removing the (extra) dependancy
on it altogether.


Note You need to log in before you can comment on or make changes to this bug.